Follow-up Comment #8, bug #21115 (project freeciv):

> Should we try to fix negated requirements on stable S2_4 branch?

As far as we speak about effect requirements, nreqs vector is the right way to
implement them in 2.4 rulesets (I'd actually add ruleset loading time sanity
check preventing using other kind of negated requirements for effects in 2.4)

Requirements for other things should have broken negative requirements
considered bugs. I'm not for adding ruleset capability. 1) rulesets are
supposed to be compatible within major version, sans the behavior caused by
bugs themselves. 2) rulesets created for 2.4.0 and 2.4.1 already use negated
requirements as much as they need.

    _______________________________________________________

Reply to this item at:

  <http://gna.org/bugs/?21115>

_______________________________________________
  Message sent via/by Gna!
  http://gna.org/


_______________________________________________
Freeciv-dev mailing list
Freeciv-dev@gna.org
https://mail.gna.org/listinfo/freeciv-dev

Reply via email to